Bug 1428027 - DMR operation register-proto-schemas fails with NPE if the proto file has syntax errors
Summary: DMR operation register-proto-schemas fails with NPE if the proto file has syn...
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Server
Version: 6.6.0,6.6.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR2
: 6.6.2
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks: 1374440 1432189
TreeView+ depends on / blocked
 
Reported: 2017-03-01 17:49 UTC by wfink
Modified: 2020-04-15 15:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1432189 (view as bug list)
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-7405 Blocker Resolved DMR operation register-proto-schemas fails with NPE if the proto file has syntax errors 2017-06-28 20:47:55 UTC
Red Hat Issue Tracker JDG-928 Major Verified DMR operation register-proto-schemas fails with NPE if the proto file has syntax errors 2017-06-28 20:47:55 UTC

Description wfink 2017-03-01 17:49:20 UTC
Description of problem:

Since the file has syntax errors it should still be placed in the ___protobuf_metadata cache and a myFileWithSyntaxErrors.proto.errors key should also be created. No exception should be thrown. Currently no key is written in cache and the NPE from the attached log happens.

When registering a proper file without syntax errors this works correctly.

The problem disappears if I disable global state persistence, so the cachestore seems to play a role in this.


How reproducible:
Start an infinispan server and run the following CLI command:

./bin/ispn-cli.sh -c '/subsystem=datagrid-infinispan/cache-container=local:register-proto-schemas(file-names=[myFileWithSyntaxErrors.proto], file-contents=[kaboom])'


Note You need to log in before you can comment on or make changes to this bug.